[Haskell-cafe] Haddocok in Haskell Platform 2011.2.0.1?

. ch.gosch at googlemail.com
Wed Oct 5 10:07:09 CEST 2011

Thanks for the hint! It works with 2.9.2, I was just wondering .. if
someone does a "cabal update" and e.g. a "cabal install leksah", it
wants to install haddock 2.9.4 (at least that was the case on my
However, that does not work, so unless you install 2.9.2 by hand first,
you can not use the package that depends on haddock (again, e.g.

On Wed, 2011-10-05 at 19:00 +1100, Ivan Lazar Miljenovic wrote:
> On 5 October 2011 18:09, . <ch.gosch at googlemail.com> wrote:
> > Hi,
> > I just installed a new computer, downloaded ghc 7.0.3 and HP 2011.2.0.1
> > from http://hackage.haskell.org/platform/linux.html
> > as proposed there, and I can not install haddock. It says it requires
> > ghc >=7.2 and <=7.4.
> > Is that intended?
> I believe Haddock uses GHC to do the parsing of Haskell source files,
> so you'll probably need to get an older version of Haddock (as newer
> ones seem to be aimed explicitly at GHC-7.2); try 2.9.3 or 2.9.2.

More information about the Haskell-Cafe mailing list